Index: src/script.c
===================================================================
RCS file: /cvs/hugs98/src/script.c,v
retrieving revision 1.14
diff -u -r1.14 script.c
--- src/script.c	2 Sep 2005 12:53:01 -0000	1.14
+++ src/script.c	2 Sep 2005 12:59:38 -0000
@@ -184,7 +184,6 @@
 #if HUGS_FOR_WINDOWS         /* Set clock cursor while loading   */
     allowBreak();
     SetCursor(LoadCursor(NULL, IDC_WAIT));
-    AddFileToFileNamesMenu(&FilesMenu, RealPath(fname));
 #endif
 
     if (!quiet) {
Index: src/hugs.c
===================================================================
RCS file: /cvs/hugs98/src/hugs.c,v
retrieving revision 1.138
diff -u -r1.138 hugs.c
--- src/hugs.c	2 Sep 2005 13:03:11 -0000	1.138
+++ src/hugs.c	2 Sep 2005 13:07:25 -0000
@@ -357,7 +357,13 @@
 				     /* to be read                         */
     clearEvalModule();
     while ((s=readFilename())!=0)
-	addScriptName(s,TRUE);
+	{
+#if HUGS_FOR_WINDOWS
+		WinHugsAddMruFile(s);
+#endif
+
+		addScriptName(s,TRUE);
+	}
     readScripts(1);
 }
 
Index: src/opts.c
===================================================================
RCS file: /cvs/hugs98/src/opts.c,v
retrieving revision 1.21
diff -u -r1.21 opts.c
--- src/opts.c	2 Sep 2005 11:08:38 -0000	1.21
+++ src/opts.c	2 Sep 2005 12:22:08 -0000
@@ -67,11 +67,6 @@
     }
     lastEdit = strCopy(fname);
     lastLine = line;
-#if HUGS_FOR_WINDOWS
-    /* Add file to Edit menu */
-    if (lastEdit)
-      AddFileToFileNamesMenu(&EditMenu, RealPath(lastEdit));
-#endif
 }
 
 String getLastEdit(Int* pLastLine) {
